Lua_AreanBoxItem = class("Lua_AreanBoxItem", Lua_DisplayObject);
function Lua_AreanBoxItem:ctor(p)
	self:superCall("ctor", p, "AreanBoxItem_skin");
end

function Lua_AreanBoxItem:buildShowItem()
	self:superCall("buildShowItem");
	self.state = 0;
	self.sprBox:addClickFuntion(self, self.onBoxClick);
end

function Lua_AreanBoxItem:dispose()
	if self.redPoint ~= nil then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_AreanBoxItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.state = DataCenter.arenaData:getBoxRewardState(data.id);
	local str = string.sub(data.box_icon, 1, string.len(data.box_icon) - 1);
	if self.state == 2 then
		self.sprBox:setAltas("common_altas_4", str.."p");
	else
		self.sprBox:setAltas("common_altas_4", str.."n");
	end
	if self.state == 1 then
		self.effectIcon:setEnable(true);
		self.effectIcon:setAltas("common_altas_4", str.."p_t");
	else
		self.effectIcon:setEnable(false);
	end
	self.txtTimes.text = data.id;

	self:setRedPoint(self.state == 1);
end

function Lua_AreanBoxItem:setRedPoint(bShow)
	if bShow then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(20, 20, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint ~= nil then
			self.redPoint:updateRedPointShow(false);
		end
	end
end

function Lua_AreanBoxItem:onBoxClick(go)
	if self.data == nil then
		return;
	end
	if self.state == 1 then
		Lua_ProxyManager.getProxy("Lua_ArenaProxy"):sReceiveBoxReward(self.data.id);
	else
		Lua_WindowUtil.openWin("Lua_AreanBoxDetailsWindow", Lua_WinParam.ACTION_OPEN);
	end
end