Lua_ArenaChallengeTicketBuyWindow = class("Lua_ArenaChallengeTicketBuyWindow", Lua_TipsBaseWindow);
function Lua_ArenaChallengeTicketBuyWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_TOP_LAYER;
	self.windowName = "Lua_ArenaChallengeTicketBuyWindow";
	self.skinName = "ArenaChallengeTicketBuyWindow_skin";
	self.titleAtlas = "shop_atlas_1";
	self.titleSprite = "ui_gmwp_title_01";
	self.bShowTitleDeco = true;
	self.showCancel = false;
end

function Lua_ArenaChallengeTicketBuyWindow:buildShowItem()
	self:superCall("buildShowItem");

	local costList = DataCenter.arenaUtil:getConstConfig("fight_cost", 4);
	self.data = Lua_ToolVo.createToolVo(costList[1]);
	self.totalPrice = 0;
	self.buyCount = 1;

	self.costIcon = Lua_ItemIcon.new(self.content);
	self.costIcon:setLocation(0, 75, 0);
	self.costIcon:setScale(0.8, 0.8, 0.8);
	self.costIcon:setCanClick(true);
	self.costIcon:setData(Lua_ToolVo.createToolVo(Lua_PackDefine.ARENA_CHALLENGE_TICKET));

	local str;
	local color;
	local num = DataCenter.arenaData.recharge_times;
	if num == 0 then
		color = "FF876E";
	else
		color = "16a803";
	end
	str = Lua_ColorDefine.getColorStr(color,num);
	self.prompt.text = LanUtil.formateStr(303029, str);

	self.inputItem = Lua_NumberInputItem.new(self.content);
	self.inputItem:setMinMaxEnable(false, false);
	self.inputItem:setTips(LanUtil.getValue(303027), LanUtil.getValue(303028));
	self.inputItem:setCallBack(self, self.updateCount);
	self.inputItem:setValue(1, 1, num);
end

function Lua_ArenaChallengeTicketBuyWindow:dispose()
	if self.inputItem ~= nil then
		self.inputItem:dispose();
		self.inputItem = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_ArenaChallengeTicketBuyWindow:updateCount(count)
	if self.data == nil then
		return;
	end
	self.buyCount = count;
	self.totalPrice = self.data.buy_price * count;
	self.costCount.text = LanUtil.formateStr(303017, self.totalPrice);
end

function Lua_ArenaChallengeTicketBuyWindow:onSureBtnClick(go)
	if self.data == nil then
		return;
	end
	if DataCenter.moneyData:isMoneyEnough(self.data.buy_money_id, self.totalPrice, false, false, true) then
		Lua_ProxyManager.getProxy("Lua_PackProxy"):sPurchaseItem(self.data.id, self.buyCount);
	end
	self:hide();
end