Lua_ArenaRankModelItem = class("Lua_ArenaRankModelItem", Lua_DisplayObject);
function Lua_ArenaRankModelItem:ctor(p)
	self:superCall("ctor", p, "ArenaRankModelItem_skin");
end

function Lua_ArenaRankModelItem:buildShowItem()
	self:superCall("buildShowItem");
	self.sprLike:addClickFuntion(self, self.onLikeClick);
end

function Lua_ArenaRankModelItem:dispose()
	if self.modelEffImg ~= nil then
		self.modelEffImg:dispose();
		self.modelEffImg = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_ArenaRankModelItem:setData(rank, data)
	self.data = data;
	self.rankIcon:setAltas("arena_atlas_1", "ui_djc_label_0"..rank);
	self.designation:setAltas("role_atlas", "ui_grxx_ch_0"..rank);
	if data == nil then
		if self.modelEffImg ~= nil then
			self.modelEffImg:setEnable(false);
		end
		self.showObj:SetActive(false);
		self.roleIcon:setEnable(true);
	else
		self.roleIcon:setEnable(false);
		if self.modelEffImg == nil then
			local vo = DataCenter.roleUtil:getDressUpVoById(data.head_id);
			vo = DataCenter.roleUtil:getDressUpVoById(vo.show_id);
			self.modelEffImg = UICreate.createModelEffImg(self.content, vo.modelUrl, vo.modelSrc, 0, 165, 0, 0);
			self.modelEffImg.siblingIndex = 0;
			self.modelEffImg:setCamField(1, 1, 100, true);
			self.modelEffImg:setCamPos(0, 1, -10);
			self.modelEffImg:setModelEffDir(180);
			self.modelEffImg.canRot = false;
			self.modelEffImg.clickScale = false;
			self.modelEffImg:addClickFuntion(self, self.onModelClick);
		end
		self.modelEffImg:setEnable(true);
		self.modelEffImg:setScale(0.35, 0.35, 0.35);

		self.showObj:SetActive(true);
		self.txtRoleName.text = data.name;
		if strIsNullOrEmpty(data.league_name) then
			self.txtLeagueName:setLangValue(303020);
		else
			self.txtLeagueName.text = data.league_name;
		end
		self.txtIntegral.text = data.score;
		self.txtIikeNum.text = data.like_num;
	end

	if data == nil or data.like_state == 1 then
		self.sprLike:setAltas("arena_atlas_1", "ui_djc_button_010_n");
	else
		self.sprLike:setAltas("arena_atlas_1", "ui_djc_button_010_n");
	end
end

function Lua_ArenaRankModelItem:onModelClick(go)
	if self.data == nil then
		return;
	end

	if DataCenter.roleData:isMyself(self.data.player_id) then
		OperateAlert.showLangValue(171025);
	else
		Lua_WindowUtil.openWin("Lua_PlayerInfoWindow", Lua_WinParam.ACTION_OPEN, self.data.player_id);
	end	
end

function Lua_ArenaRankModelItem:onLikeClick(go)
	if self.data == nil then
		return;
	end
	if DataCenter.roleData:isMyself(self.data.player_id) then
		OperateAlert.showLangValue(303030);
		return;
	end
	if DataCenter.arenaData.likeTimes <= 0 then
		OperateAlert.showLangValue(303022);
		return;
	end
	if self.data.like_state == 1 then
		OperateAlert.showLangValue(303023);
		return;
	end
	Lua_ProxyManager.getProxy("Lua_ArenaProxy"):sLikePlayer(self.data.player_id);
end